Skip to main content
GET
/
platform
/
entitylists
/
{entityListFullName}
/
entityContainers
/
{id}
Error
A valid request URL is required to generate request examples
{
  "catalogId": 123,
  "createBy": "<string>",
  "createDate": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "item": {},
  "listFullName": "<string>",
  "localeCode": "<string>",
  "masterCatalogId": 123,
  "siteId": 123,
  "tenantId": 123,
  "updateBy": "<string>",
  "updateDate": "2023-11-07T05:31:56Z",
  "userId": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

entityListFullName
string
required

The full name of the EntityList including namespace in name@nameSpace format

id
string
required

The unique id of the Entity

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

The metadata and Entity contents for an entity persisted in an EntityList in MZDB. The Item property contains the json representation of the Entity

catalogId
integer<int32> | null
createBy
string | null
createDate
string<date-time>
id
string | null

The unique identifier for the Entity.

item
object

The entity in json format.

listFullName
string | null

The nameSpace and name for the EntityList in the format name@nameSpace.

localeCode
string | null

The localeCode for the Entity. This will only be populated for EntityLists that are created with IsLocaleSpecific set to true.

masterCatalogId
integer<int32> | null
siteId
integer<int32> | null
tenantId
integer<int32>
updateBy
string | null
updateDate
string<date-time>
userId
string | null

The userId of the shopper account associated with this Entity. This will only be populated for EntityLists that are creaetd with IsShopperSpecific set to true.